# Uses of Class
jdk.jshell.SourceCodeAnalysis.QualifiedNames

Packages that use SourceCodeAnalysis.QualifiedNames
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of SourceCodeAnalysis.QualifiedNames in jdk.jshell

Methods in jdk.jshell that return SourceCodeAnalysis.QualifiedNames
Modifier and Type
Method
Description
`abstract SourceCodeAnalysis.QualifiedNames`
SourceCodeAnalysis.`listQualifiedNames(String code, int cursor)`
List qualified names known for the simple name in the given code immediately to the left of the given cursor position.